//
// $Header: E:/TNG/src/rcs/ptype.h 1.2 1997/02/22 14:39:02 dbm Exp $
//
 
#ifndef PTYPE_H
#define PTYPE_H

#include <string.h>

#include "agent.h"
#include "gtype.h"

/////////////////////////////////////////////////////////////////////////////
//
//	bioPType
//
   
class bioPType : public bioAgent
{
  public:
  	ctor				bioPType (bioGType* gtype);
  	dtor				~bioPType (void);
  	
  	virtual bioGType*	GetGType (void);
  	virtual bioGType*	ExtractGType (void);

  	virtual double		GetFitness (void);
  	
  	virtual void		SetID(int id) {_id = id; }
  	virtual int			GetID(void) { return _id; }  
  	
	virtual const char*	GetName(void) { return _name; }
  	virtual void		SetName(char* name) { strncpy(_name, name, 31); }
	  	
  protected:  
	bioGType*			_gtype;
	double				_fitness;   
	int					_id;                 
  	char				_name[32];
};

#endif // PTYPE_H
