// $Header: E:/TNG/src/rcs/simbio.cpp 1.2 1997/02/22 14:38:08 dbm Exp $

#include <stdio.h>  
#include <assert.h>

#include "simbio.h"

static int				TraceOn = 0;
 
void
Trace (char* fmt, ...)
//: Write a formatted string to debug window.
{
	if (TraceOn == 0) return;
	
	char				buffer[256];
    va_list             argptr;

    va_start (argptr, fmt);
    vsprintf (buffer, fmt, argptr);
    printf ("Trace: %s\n", buffer);
}
 
////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//	bioObject
//           

bioObject::bioObject (void)
{
	_magic = 0x666;
}

bioObject::~bioObject (void)
{
	ASSERT_VALID (this);
	
	_magic = 0;
}

void
bioObject::AssertValid (void) const
{
	//CObject::AssertValid();
	
	if (this == 0)
	{
		assert (0);
	}
	
	if (_magic != 0x666)
	{           
		assert (0);
	}
}

  
