//
// $Header: E:/TNG/src/rcs/agent.h 1.2 1997/02/22 14:38:52 dbm Exp $
//
   
#ifndef AGENT_H
#define AGENT_H

#include "thing.h"
#include "program.h"

/////////////////////////////////////////////////////////////////////////////
//
//	bioAgent

class bioAgent : public bioThing
{                            
  public:
  	ctor				bioAgent (void);
  	dtor				~bioAgent (void);
  	
  	void				SetProgram (bioProgram*);
  	bioProgram*			GetProgram (void);
  	
  	override void		Look (void) = 0;
  	override int		GetIntent (void) {return _intention;}
  	
  protected:
	bioProgram*			_program; 
	int					_intention;
};
 
#endif // AGENT_H

