#include "tng.h"

//////////////////////////
//
// tngPopulation

bioGType*
tngPopulation::GenGType (void)
//: Generates a haploid genotype.
{
	bioHapGType*		gtype = new bioHapGType;
	ASSERT_VALID (gtype);

	gtype->SetLength (8 * tngTradeBot::FSMSize());
	gtype->Randomize();

	return gtype;
}

bioPType*
tngPopulation::GenPType (bioGType* dna)
//: Creates a tradebot.
{
	tngTradeBot*		bot = new tngTradeBot (dna);
	ASSERT_VALID (bot);

	return bot;
}
